Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLACPY

    java.lang.Object
      org.netlib.lapack.DLACPY

    public class DLACPY

extends java.lang.Object

    DLACPY is a simplified interface to the JLAPACK routine dlacpy.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLACPY copies all or part of a two-dimensional matrix A to another
     *  matrix B.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies the part of the matrix A to be copied to B.
     *          = 'U':      Upper triangular part
     *          = 'L':      Lower triangular part
     *          Otherwise:  All of the matrix A
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A.  N >= 0.
     *
     *  A       (input) DOUBLE PRECISION array, dimension (LDA,N)
     *          The m by n matrix A.  If UPLO = 'U', only the upper triangle

     *          or trapezoid is accessed; if UPLO = 'L', only the lower
     *          triangle or trapezoid is accessed.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,M).
     *
     *  B       (output) DOUBLE PRECISION array, dimension (LDB,N)
     *          On exit, B = A in the locations specified by UPLO.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B.  LDB >= max(1,M).
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`DLACPY()`

Method Summary
`static void` | `DLACPY(java.lang.String uplo, int m, int n, double[][] a, double[][] b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLACPY

    public DLACPY()

Method Detail

### DLACPY

    public static void DLACPY(java.lang.String uplo,
                              int m,
                              int n,
                              double[][] a,
                              double[][] b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD